Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng

# Enum Class FetchDirection

java.lang.Object
java.lang.Enum<FetchDirection>
org.firebirdsql.gds.ng.FetchDirection

All Implemented Interfaces:
  `Serializable`, `Comparable<FetchDirection>`, `Constable`

public enum FetchDirection extends Enum<FetchDirection>
Direction of fetch.

Since:
  5
Author:
  Mark Rotteveel

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FORWARD`
Fetch forward (to end of cursor).
`IN_PLACE`
Fetch in place (doesn't change position).
`REVERSE`
Fetch reverse (to start of cursor).
`UNKNOWN`
Fetch direction unknown (e.g.

## Method Summary

Modifier and Type
Method
Description
`static FetchDirection`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FetchDirection[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FORWARD

public static final FetchDirection FORWARD
Fetch forward (to end of cursor).

### REVERSE

public static final FetchDirection REVERSE
Fetch reverse (to start of cursor).

### IN_PLACE

public static final FetchDirection IN_PLACE
Fetch in place (doesn't change position).

### UNKNOWN

public static final FetchDirection UNKNOWN
Fetch direction unknown (e.g. fetch FIRST or LAST).

## Method Details

### values

public static FetchDirection[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FetchDirection valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null